Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_order_state_by_label \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 4316,
  "method": "private/get_order_state_by_label",
  "params": {
    "currency": "ETH",
    "label": "fooBar"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_order_state_by_label"

payload = {
    "jsonrpc": "2.0",
    "id": 4316,
    "method": "private/get_order_state_by_label",
    "params": {
        "currency": "ETH",
        "label": "fooBar"
    }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 4316,
    method: 'private/get_order_state_by_label',
    params: {currency: 'ETH', label: 'fooBar'}
  })
};

fetch('https://test.deribit.com/api/v2/private/get_order_state_by_label', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 4316,
  "result": [
    {
      "time_in_force": "good_til_cancelled",
      "reduce_only": false,
      "price": 118.94,
      "post_only": false,
      "order_type": "limit",
      "order_state": "filled",
      "order_id": "ETH-331562",
      "max_show": 37,
      "last_update_timestamp": 1550219810944,
      "label": "fooBar",
      "is_rebalance": false,
      "is_liquidation": false,
      "instrument_name": "ETH-PERPETUAL",
      "filled_amount": 37,
      "direction": "sell",
      "creation_timestamp": 1550219749176,
      "average_price": 118.94,
      "api": false,
      "amount": 37
    }
  ]
}
{
  "jsonrpc": "2.0",
  "message": "<string>",
  "error": 123,
  "id": 123
}

Query Parameters

currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
label
string
required

user defined label for the order (maximum 64 characters)

Response

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request